#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "server.h"
#include "client.h"

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:
    void on_bpSetServer_clicked();

    void on_bpStartServer_clicked();

    void on_pbStopServer_clicked();

    void on_pbSetClient_clicked();

    void on_pbConnect_clicked();

    void on_pbDisconnect_clicked();

    void onReceive(QByteArray ba);


    void on_bpSend_clicked();

    void on_leText_returnPressed();

private:
    Ui::Widget *ui;
    Server * server;
    Client * client;

    void timerEvent(QTimerEvent *);
};

#endif // WIDGET_H
